box.hpp File Reference
`#include <cassert>`
`#include <iosfwd>`
`#include <osmium/util/compatibility.hpp>`
`#include <osmium/osm/location.hpp>`
Include dependency graph for box.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::Box

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

constexpr bool | osmium::operator== (const Box &lhs, const Box &rhs) noexcept
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::operator<< (std::basic_ostream< TChar, TTraits > &out, const osmium::Box &box)